package FL;

public enum BoolExp implements Exp {
	TRUE {
		public BoolVal eval(DynEnv env) {
			return new BoolVal(true);
		}
	},

	FALSE {
		public BoolVal eval(DynEnv env) {
			return new BoolVal(false);
		}
	};

	public PrimType typeCheck(StaticEnv env) {
		return PrimType.BOOL;
	}

	public abstract BoolVal eval(DynEnv env) ;

}

