package FL;

import java.util.*;

public class DynEnvImpl implements DynEnv {

	private Hashtable<Id, Val> values = new Hashtable<Id, Val>();

	public DynEnvImpl() {
		this(new Hashtable<Id, Val>()) ;
	}	

	private DynEnvImpl(Hashtable<Id, Val> values) {
		this.values = values;
	}

	public Val apply(Id id) {
		return values.get(id);
	}

	public void update(Id id, Val v) {
		values.put(id, v);
	}

	public DynEnv clone() {
		return new DynEnvImpl((Hashtable<Id, Val>)values.clone());
	}
} 
