package FL;

public class ExpProg implements Prog{

	private Exp exp;

	ExpProg(Exp exp){
		this.exp=exp;
	}

	public PrimType typeCheck() throws TypeCheckException {
		return exp.typeCheck(new StaticEnvImpl());
	}

	public PrimVal eval() throws RunException {
		return exp.eval(new DynEnvImpl());
	}

} 
