package FL;

import java.util.*;

public class FunVal implements Val {

	private Iterable<Id> ids;
	private Exp body;
	private DynEnv env;

	public FunVal(Iterable<Id> ids,Exp body,DynEnv env) {
		this.ids=ids;
		this.body=body;
		this.env=env;
	}

	public PrimVal apply(Iterable<PrimVal> values) throws RunException {
		DynEnv env1=env.clone();
		Iterator<PrimVal> vs = values.iterator();
		for(Id id : ids)
			env1.update(id, vs.next());
		return body.eval(env1);
	}

} 
