package FL;

public class LetExp implements Exp {
 
	private Decs decs;
	private Exp exp;

	public LetExp(Decs decs,Exp exp) {
		this.decs=decs;
		this.exp=exp;
	}

	public PrimType typeCheck(StaticEnv env) throws TypeCheckException {
		StaticEnv env1=env.clone();
		decs.typeCheck(env1);
		return exp.typeCheck(env1);
	}

	public PrimVal eval(DynEnv env)throws RunException {
		DynEnv env1=env.clone();
		decs.eval(env1);
		return exp.eval(env1);
	}

} 
