package FL;

import java.util.*;

public class DecsImpl implements Decs {

	private List<Dec> decs=new ArrayList<Dec>();
 
	public DecsImpl() {}

	public DecsImpl(Dec dec) {
		add(dec);
	}

	public void add(Dec dec) {
		decs.add(dec);
	}

	public void typeCheck(StaticEnv env) throws TypeCheckException {
		for(Dec d : decs)
			d.typeCheck(env);
	}

	public void eval(DynEnv env) throws RunException {
		for(Dec d : decs)
			d.eval(env);
	}

} 

