package FL;

import java.util.*;

public class StaticEnvImpl implements StaticEnv {
	
	private Hashtable<Id, Type> id2type;

	public StaticEnvImpl() {
		this(new Hashtable<Id, Type>()) ;
	}

	private StaticEnvImpl(Hashtable<Id, Type> id2type) {
		this.id2type = id2type;
	}

	public Type apply(Id id){
		return id2type.get(id);
	}

	public void update(Id id, Type t){
		id2type.put(id, t);
	}

	public StaticEnv clone() {
		return new StaticEnvImpl((Hashtable<Id, Type>)id2type.clone()) ;
	}
} 
